Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.util
Class SecretWithEncapsulationImpl

    java.lang.Object
      org.bouncycastle.pqc.crypto.util.SecretWithEncapsulationImpl

All Implemented Interfaces:
  javax.security.auth.Destroyable, SecretWithEncapsulation

public class SecretWithEncapsulationImpl
extends java.lang.Object
implements SecretWithEncapsulation

Constructor Summary
`SecretWithEncapsulationImpl(byte[] sessionKey, byte[] cipher_text)`

Method Summary
`void` | `destroy()`
`byte[]` | `getEncapsulation()` Return the data that carries the secret in its encapsulated form.
`byte[]` | `getSecret()` Return the secret associated with the encapsulation.
`boolean` | `isDestroyed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecretWithEncapsulationImpl

    public SecretWithEncapsulationImpl(byte[] sessionKey,
                                       byte[] cipher_text)

Method Detail

### getSecret

    public byte[] getSecret()

  Description copied from interface: `SecretWithEncapsulation`
  Return the secret associated with the encapsulation.

  Specified by:
    `getSecret` in interface `SecretWithEncapsulation`
  Returns:
    the secret the encapsulation is for.

### getEncapsulation

    public byte[] getEncapsulation()

  Description copied from interface: `SecretWithEncapsulation`
  Return the data that carries the secret in its encapsulated form.

  Specified by:
    `getEncapsulation` in interface `SecretWithEncapsulation`
  Returns:
    the encapsulation of the secret.

### destroy

    public void destroy()
                 throws javax.security.auth.DestroyFailedException

  Specified by:
    `destroy` in interface `javax.security.auth.Destroyable`
  Throws:
    `javax.security.auth.DestroyFailedException`

### isDestroyed

    public boolean isDestroyed()

  Specified by:
    `isDestroyed` in interface `javax.security.auth.Destroyable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD